<?php
/**
 * Privacy モジュール
 */
require_once 'Zend/Db.php';
require_once 'Zend/Db/Table.php';
require_once 'Platy/Module.php';
require_once 'Platy/SystemDB.php';
require_once 'Platy/Form.php';

class Platy_Module_Privacy extends Platy_Module
{
    public function install()
    {
        global $db;
        $sql = "INSERT INTO Platy_Config(name,value) VALUES('M_PRIVACY_MAIN', 'ここにサイトのプライバシーポリシーを書いてください');";
        $db->query($sql);
        
        // メニューアイテム追加
        $item = array('bar'=>'header', 'type'=>'module', 'title'=>'プライバシーポリシー', 'module_name'=>'Privacy', 'module_param' => '');
        addToMenu($item);
        
        return true;
    }
    
    public function uninstall()
    {
        global $db;
        $sql = "DELETE FROM Platy_Config WHERE name='M_PRIVACY_MAIN';";
        $db->query($sql);
        return true;
    }
    
    public function getName()
    {
        return 'Privacy';
    }
    
    public function getSummary()
    {
        return 'プライバシーポリシー';
    }
    
    public function getAuthor()
    {
        return 'altkraft';
    }
}
?>